%global srcname cachetools

Summary:        Extensible memoizing collections and decorators
Name:           python-%{srcname}
Version:        5.3.1
Release:        1%{?dist}
License:        MIT
URL:            https://pypi.python.org/pypi/%{srcname}
Source0:        %{pypi_source}

BuildArch:      noarch

%description
This module provides various memoizing collections and decorators,
including a variant of the Python 3 Standard Library @lru_cache function decorator.
This module provides multiple cache implementations based on different cache algorithms,
as well as decorators for easily memoizing function and method calls.


%package -n python3-%{srcname}
Summary:        %{summary}
BuildRequires:  python3-devel python3-setuptools

%description -n python3-%{srcname}
%{description}


%prep
%autosetup -n %{srcname}-%{version}


%build
%py3_build


%install
%py3_install


%check
%{__python3} setup.py test


%files -n python3-%{srcname}
%license LICENSE
%doc CHANGELOG.rst PKG-INFO README.rst
%{python3_sitelib}/%{srcname}-*.egg-info/
%{python3_sitelib}/%{srcname}/


%changelog
* Mon Sep 25 2023 Wang Guodong <gordonwwang@tencent.com> - 5.3.1-1
- Upgrade to version 5.3.1

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.2.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.2.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.2.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.2.0-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Dec 19 2022 rockerzhu <rockerzhu@tencent.com> - 5.2.0-1
- Initial build
